import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-product-rate-strategy/productratestrategy/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-product-rate-strategy/productratestrategy/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-product-rate-strategy/productratestrategy/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-product-rate-strategy/productratestrategy/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-product-rate-strategy/productratestrategy/submit',
    method: 'post',
    data: row
  })
}

export const listRateStrategy = (params) => {
  return request({
    url: '/api/cyzh-product-rate-strategy/productratestrategy/listRateStrategy',
    method: 'get',
    params: {
      ...params
    }
  })
}

